#-*- mode: python; mode: fold -*-
from Globals import InitializeClass
from AccessControl import ClassSecurityInfo

from Products.CMFCore.utils import UniqueObject, getToolByName
from Products.CMFCore.permissions import View
from Products.CMFCore.permissions import ModifyPortalContent
from Products.CPSCore.CPSBase import CPSBase_adder, CPSBaseFolder 
#from Products.CPSCore.CPSBase import CPSBaseDocument as BaseDocument 
from Products.CPSDocument.CPSDocument import CPSDocument 
from Products.CPSCore.CPSBase import CPSBaseBTreeFolder as BaseBTreeFolder 

class AccoFolder(CPSDocument): ###(
    """
    WAeUP AccoFolder containing Accommodation halls 
    """
    meta_type = 'AccoFolder'
    portal_type = meta_type
    security = ClassSecurityInfo()
    

InitializeClass(AccoFolder)

def addAccoFolder(container, id, REQUEST=None, **kw):
    """Add a AccoFolder."""
    ob = AccoFolder(id, **kw)
    return CPSBase_adder(container, ob, REQUEST=REQUEST)
###)


class Accommodation(CPSDocument): ###(
    """
    WAeUP Accommodation containing Departments 
    """
    meta_type = 'Accommodation'
    portal_type = meta_type
    security = ClassSecurityInfo()
    
    security.declareProtected(View,"Title")
    def Title(self):
        """compose title"""
        content = self.getContent()
        heading = getattr(content,'heading',None)
        if heading is None:
            return self.title
        return heading
    
InitializeClass(Accommodation)

def addAccommodation(container, id, REQUEST=None, **kw):
    """Add a Accommodation."""
    ob = Accommodation(id, **kw)
    return CPSBase_adder(container, ob, REQUEST=REQUEST)
###)
